---
title: font-stretch
slug: Web/SVG/Attribute/font-stretch
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>font-stretch</code></strong> attribute indicates the desired amount of condensing or expansion in the glyphs used to render the text.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-stretch</code> can be used as a CSS property. See the {{cssxref("font-stretch", "CSS font-stretch")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{csssyntax("font-stretch")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>normal</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Fonts", "#propdef-font-stretch", "font-stretch")}}</td>
   <td>{{Spec2("CSS4 Fonts")}}</td>
   <td>Adds the <code>&lt;percentage&gt;</code> syntax for variable fonts.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#propdef-font-stretch", "font-stretch")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>Initial definition of <code>font-stretch</code> in CSS Fonts</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontStretchProperty", "font-stretch")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-stretch")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-stretch", "CSS font-stretch")}}</li>
</ul>
